ranges-union.hpp File Reference
`#include <algorithm>`

Go to the source code of this file.

## Classes

class | Gecode::Iter::Ranges::Union< I, J >
| Range iterator for computing union (binary). More...
class | Gecode::Iter::Ranges::NaryUnion
| Range iterator for union of iterators. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Iter
| Range and value iterators.
namespace | Gecode::Iter::Ranges
| Range iterators.